net.minecraft.client.renderer.tileentity

## Class TileEntityChestRenderer

- java.lang.Object
- - net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer
  - - net.minecraft.client.renderer.tileentity.TileEntityChestRenderer

-     public class TileEntityChestRenderer
      extends TileEntitySpecialRenderer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntityChestRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `renderTileEntityAt(TileEntity par1TileEntity, double par2, double par4, double par6, float par8)`
    `void` | `renderTileEntityChestAt(TileEntityChest par1TileEntityChest, double par2, double par4, double par6, float par8)` Renders the TileEntity for the chest at a position.

    - ### Methods inherited from class net.minecraft.client.renderer.tileentity.TileEntitySpecialRenderer

      `getFontRenderer, onWorldChange, setTileEntityRenderer`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TileEntityChestRenderer

          public TileEntityChestRenderer()

  - ### Method Detail

    - #### renderTileEntityChestAt

          public void renderTileEntityChestAt(TileEntityChest par1TileEntityChest,
                                     double par2,
                                     double par4,
                                     double par6,
                                     float par8)

      Renders the TileEntity for the chest at a position.

    - #### renderTileEntityAt

          public void renderTileEntityAt(TileEntity par1TileEntity,
                                double par2,
                                double par4,
                                double par6,
                                float par8)

      Specified by:
        `renderTileEntityAt` in class `TileEntitySpecialRenderer`